Foreman - Bug #16073

Changing interfaces on unmanaged hosts leads to an invalid host
08/11/2016 12:39 PM - Justin Sherrill

Status: Closed
Priority: Normal
Assignee: Justin Sherrill
Category: Facts
Target version: 1.13.0
Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1363749 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3723
Description

If an unmanaged host has any interface mac address changed, either because it was re-provisioned externally, or some other
external condition occurred, facts being uploaded with the new mac address in will result in a duplicate interface being created.

For example if a host has an interface 'ethQ" with mac address 'foo' and is currently uploading facts to foreman but its 'eth0' network
device changes mac address to 'bar', a second 'eth0' interface will be created.

If this occurs the host is left in an invalid state and requires the old network interface to be removed (in fact even trying to correct the
situation via the Ul leads to issues as it doesn't seem to be possible to delete the old primary interface in this case. At least not very

easily).

Related issues:

Related to Foreman - Bug #16547: Fact importing fails with NoMethodError: und...

Closed 09/14/2016

Associated revisions

Revision 7b75a6a0 - 08/17/2016 08:44 AM - Justin Sherrill

Fixes #16073 - match up nic identifiers for unmanaged hosts

History

#1 - 08/11/2016 02:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3723 added

#2 - 08/11/2016 02:47 PM - Justin Sherrill
- Bugzilla link set to 1363749

#3 - 08/17/2016 08:48 AM - Marek Hulan

- translation missing: en.field_release set to 160

#4 - 08/17/2016 09:02 AM - Justin Sherrill
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7b75a6a018f560fba44916ded12d9fe8da92e820.

#5 - 09/19/2016 05:01 AM - Dominic Cleal
- Related to Bug #16547: Fact importing fails with NoMethodError: undefined method “first' for nil:NilClass added
